<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for Testing/src/components/Components.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="..\..\..\prettify.css" />
    <link rel="stylesheet" href="..\..\..\base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(..\..\..\sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="..\..\..\index.html">All files</a> / <a href="index.html">Testing/src/components</a> Components.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">83.33% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>5/6</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">83.33% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>5/6</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">83.33% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>5/6</span>
      </div>
    </div>
  </div>
  <div class='status-line high'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import React, { Component } from 'react';
import { AppRegistry, View, Text, Image, ScrollView, StyleSheet } from 'react-native';
import { headerDetailsStyles, productInfoStyles, productDescStyles, sellerInfoStylesheet } from '../assets/stylesheet/productDetailsStyle';
import { Icon } from 'react-native-elements';
import Timestamp from 'react-timestamp';
import ActionButton from 'react-native-action-button';
&nbsp;
export class HeaderDetails extends Component {
    render() {
        return (
            &lt;View style={headerDetailsStyles.mainContainer}&gt;
                &lt;View style={headerDetailsStyles.imgContainer}&gt;
                    &lt;Image
                        style={headerDetailsStyles.image}
                        source={{ uri: this.props.imgSource }} /&gt;
                &lt;/View&gt;
                &lt;View style={headerDetailsStyles.container}&gt;
                    &lt;Text style={headerDetailsStyles.headTitle}&gt;
                        {this.props.title}
                    &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={headerDetailsStyles.container}&gt;
                    &lt;Text style={headerDetailsStyles.price}&gt;
                        Rp. {this.props.price} /kg
                    &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={headerDetailsStyles.section}&gt;
                    &lt;View style={headerDetailsStyles.separator} /&gt;
                &lt;/View&gt;
                &lt;View style={headerDetailsStyles.section}&gt;
                    &lt;View style={headerDetailsStyles.details}&gt;
                        &lt;View style={headerDetailsStyles.icon}&gt;
                            &lt;Icon name='location-pin' type='entypo' style={headerDetailsStyles.actionButtonIcon} /&gt;
                        &lt;/View&gt;
                        &lt;Text style={headerDetailsStyles.contentDetail}&gt;
                            {this.props.location}
                        &lt;/Text&gt;
                    &lt;/View&gt;
                    &lt;View style={headerDetailsStyles.details}&gt;
                        &lt;View style={headerDetailsStyles.icon}&gt;
                            &lt;Icon name='md-calendar' type='ionicon' style={headerDetailsStyles.actionButtonIcon} /&gt;
                        &lt;/View&gt;
                        &lt;Text style={headerDetailsStyles.contentDetail}&gt;
                            &lt;Timestamp component={Text} format='full' time={this.props.timestamp} precision={3} /&gt;
                        &lt;/Text&gt;
                    &lt;/View&gt;
                &lt;/View&gt;
            &lt;/View&gt;
        )
    }
}
&nbsp;
export class ProductInfo extends Component {
    render() {
        return (
            &lt;View style={productInfoStyles.mainContainer}&gt;
                &lt;Text style={productInfoStyles.subTitle}&gt;
                    Informasi Produk
                &lt;/Text&gt;
                &lt;View style={productInfoStyles.section}&gt;
                    &lt;View style={productInfoStyles.separator} /&gt;
                &lt;/View&gt;
                &lt;View style={productInfoStyles.details}&gt;
                    &lt;Text style={productInfoStyles.contentInfo}&gt;
                        Jenis Ikan
                    &lt;/Text&gt;
                    &lt;Text style={productInfoStyles.contentDetail}&gt;
                        Ikan Laut
                     &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={productInfoStyles.details}&gt;
                    &lt;Text style={productInfoStyles.contentInfo}&gt;
                        Ukuran
                    &lt;/Text&gt;
                    &lt;Text style={productInfoStyles.contentDetail}&gt;
                        Besar
                    &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={productInfoStyles.details}&gt;
                    &lt;Text style={productInfoStyles.contentInfo}&gt;
                        Bobot
                    &lt;/Text&gt;
                    &lt;Text style={productInfoStyles.contentDetail}&gt;
                        1000 kg
                    &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={productInfoStyles.details}&gt;
                    &lt;Text style={productInfoStyles.contentInfo}&gt;
                        Waktu Tangkap
                    &lt;/Text&gt;
                    &lt;Text style={productInfoStyles.contentDetail}&gt;
                        &lt;Timestamp component={Text} format='full' time={this.props.timestamp} precision={3} /&gt;
                    &lt;/Text&gt;
                &lt;/View&gt;
                &lt;View style={productInfoStyles.details}&gt;
                    &lt;Text style={productInfoStyles.contentInfo}&gt;
                        Alat Tangkap
                    &lt;/Text&gt;
                    &lt;Text style={productInfoStyles.contentDetail}&gt;
                        Jala
                    &lt;/Text&gt;
                &lt;/View&gt;
            &lt;/View&gt;
        )
    }
}
&nbsp;
export class ProductDesc extends Component {
    render() {
        return (
            &lt;View style={productDescStyles.mainContainer
            }&gt;
                &lt;Text style={productDescStyles.subTitle}&gt;
                    Deksripsi Produk
                &lt;/Text&gt;
                &lt;View style={productDescStyles.section}&gt;
                    &lt;View style={productDescStyles.separator}
                    /&gt;
                &lt;/View&gt;
                &lt;Text style={productDescStyles.content}&gt;
                    Ikan tongkol ini ditangkap langsung dari perairan terbaik di laut Jakarta
                &lt;/Text&gt;
            &lt;/View&gt;
        )
    }
}
&nbsp;
export class SellerInfo extends Component {
    render() {
        return (
            &lt;View style={sellerInfoStylesheet.mainContainer}&gt;
                &lt;Text style={sellerInfoStylesheet.subTitle}&gt;
                    Penjual
            &lt;/Text&gt;
                &lt;View style={sellerInfoStylesheet.section}&gt;
                    &lt;View style={sellerInfoStylesheet.separator}
                    /&gt;
                &lt;/View&gt;
                &lt;View style={sellerInfoStylesheet.details}&gt;
                    &lt;View style={sellerInfoStylesheet.space} /&gt;
                    &lt;View style={sellerInfoStylesheet.box}&gt;
                        &lt;Text style={sellerInfoStylesheet.content}&gt;
                            {this.props.seller}
                        &lt;/Text&gt;
                        &lt;Text style={sellerInfoStylesheet.content}&gt;
                            Member sejak dulu
                    &lt;/Text&gt;
                    &lt;/View&gt;
                &lt;/View&gt;
            &lt;/View&gt;
        )
    }
}
&nbsp;
export class ChatButton extends Component {
    render() {
        return (
            &lt;ActionButton buttonColor="#87CEEB"&gt;
                &lt;ActionButton.Item buttonColor='#87CEEB' title="Hubungi penjual" onPress={<span class="fstat-no" title="function not covered" >()</span> =&gt; <span class="cstat-no" title="statement not covered" >null}</span>&gt;
                    &lt;Icon name="message" /&gt;
                &lt;/ActionButton.Item&gt;
            &lt;/ActionButton&gt;
        )
    }
}</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Fri Apr 13 2018 14:02:18 GMT+0700 (SE Asia Standard Time)
</div>
</div>
<script src="..\..\..\prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="..\..\..\sorter.js"></script>
</body>
</html>
